For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer Tools
CommunityContact UsConsole
HomeAPI ReferenceDocsChangelog
HomeAPI ReferenceDocsChangelog
  • API Reference
      • POSTCreate account level field definitions
      • DELDelete account level custom field definitions
      • GETList account level field definitions
      • PATCHUpdate account level custom field definitions

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
Developer Tools
CommunityContact UsConsole
API ReferenceMetadata Fields

Update account level custom field definitions

PATCH
https://api.frame.io/v4/accounts/:account_id/metadata/field_definitions/:field_definition_id
PATCH
/v4/accounts/:account_id/metadata/field_definitions/:field_definition_id
1from frameio import Frameio, UpdateSelectDefinitionParamsFieldConfiguration, UpdateSelectDefinitionParamsFieldConfigurationOptionsItem
2from frameio.metadata_fields import UpdateFieldDefinitionParamsData_Select
3
4client = Frameio(
5 token="YOUR_TOKEN_HERE",
6)
7
8client.metadata_fields.metadata_field_definitions_update(
9 account_id="269a71a9-78a3-4a33-9e48-66854ccea8e2",
10 field_definition_id="44d57d0c-2d2b-40b4-969c-8e38834e49d3",
11 data=UpdateFieldDefinitionParamsData_Select(
12 field_configuration=UpdateSelectDefinitionParamsFieldConfiguration(
13 enable_add_new=False,
14 options=[
15 UpdateSelectDefinitionParamsFieldConfigurationOptionsItem(
16 display_name="Option 1",
17 ),
18 UpdateSelectDefinitionParamsFieldConfigurationOptionsItem(
19 display_name="Option 2",
20 )
21 ],
22 ),
23 name="Updated-Field-Name",
24 ),
25)
1{
2 "data": {
3 "field_type": "select",
4 "created_at": "2024-01-25T19:18:29.614189Z",
5 "creator_id": "7691308e-06ee-4f08-9adc-8a2d1a2a0acd",
6 "field_configuration": {
7 "options": [
8 {
9 "display_name": "Option 1",
10 "id": "f079de38-d268-4c62-8c4d-9a258b2efca2"
11 },
12 {
13 "display_name": "Option 2",
14 "id": "6288e75c-cff7-48cc-865f-71e0bebe9b16"
15 }
16 ],
17 "enable_add_new": false
18 },
19 "id": "f8357771-d1e0-4e57-b24d-bbe7907e85a0",
20 "mutable": true,
21 "name": "Fields definition name",
22 "updated_at": "2024-02-07T16:44:41.986478Z"
23 }
24}

Update account level custom field definitions.
Rate Limits: 10 calls per 1.00 minute(s) per account_user

Was this page helpful?
Previous

List project user roles

Next

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

account_idstringRequiredformat: "uuid"
A UUID String
field_definition_idstringRequiredformat: "uuid"
A UUID String

Request

Request body
dataobjectOptional

Response headers

x-ratelimit-limitinteger
Rate limit
x-ratelimit-remaininginteger
Rate limit remaining
x-ratelimit-windowinteger
Rate limit window in milliseconds

Response

OK
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error